Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.contour
Interface ContourDataset

All Superinterfaces:
  Dataset, SeriesDataset, XYDataset, XYZDataset

All Known Implementing Classes:
  DefaultContourDataset, NonGridContourDataset

Deprecated. This class is no longer supported. If you are creating contour plots, please try to use `XYPlot` and `XYBlockRenderer`.

    public interface ContourDataset

extends XYZDataset

The interface through which JFreeChart obtains data in the form of (x, y, z) items - used for XY and XYZ plots.

Method Summary
`double` | `getMaxZValue()` Deprecated. Returns the largest Z data value.
`double` | `getMinZValue()` Deprecated. Returns the smallest Z data value.
`int[]` | `getXIndices()` Deprecated. Returns the index of the xvalues.
`java.lang.Number[]` | `getXValues()` Deprecated. Returns the array of Numbers representing the x data values.
`java.lang.Number[]` | `getYValues()` Deprecated. Returns the array of Numbers representing the y data values.
`Range` | `getZValueRange(Range x, Range y)` Deprecated. Returns the maximum z-value within visible region of plot.
`java.lang.Number[]` | `getZValues()` Deprecated. Returns the array of Numbers representing the z data values.
`int[]` | `indexX()` Deprecated. Returns an int array contain the index into the x values.
`boolean` | `isDateAxis(int axisNumber)` Deprecated. Returns true if axis are dates.

Methods inherited from interface org.jfree.data.xy.XYZDataset
`getZ, getZValue`

Methods inherited from interface org.jfree.data.xy.XYDataset
`getDomainOrder, getItemCount, getX, getXValue, getY, getYValue`

Methods inherited from interface org.jfree.data.general.SeriesDataset
`getSeriesCount, getSeriesKey, indexOf`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getMinZValue

    double getMinZValue()

  Deprecated.
  Returns the smallest Z data value.

  Returns:
    The minimum Z value.

### getMaxZValue

    double getMaxZValue()

  Deprecated.
  Returns the largest Z data value.

  Returns:
    The maximum Z value.

### getXValues

    java.lang.Number[] getXValues()

  Deprecated.
  Returns the array of Numbers representing the x data values.

  Returns:
    The array of x values.

### getYValues

    java.lang.Number[] getYValues()

  Deprecated.
  Returns the array of Numbers representing the y data values.

  Returns:
    The array of y values.

### getZValues

    java.lang.Number[] getZValues()

  Deprecated.
  Returns the array of Numbers representing the z data values.

  Returns:
    The array of z values.

### indexX

    int[] indexX()

  Deprecated.
  Returns an int array contain the index into the x values.

  Returns:
    The X values.

### getXIndices

    int[] getXIndices()

  Deprecated.
  Returns the index of the xvalues.

  Returns:
    The x values.

### getZValueRange

    Range getZValueRange(Range x,
                         Range y)

  Deprecated.
  Returns the maximum z-value within visible region of plot.

  Parameters:
    `x` - the x-value.
    `y` - the y-value.
  Returns:
    The maximum z-value.

### isDateAxis

    boolean isDateAxis(int axisNumber)

  Deprecated.
  Returns true if axis are dates.

  Parameters:
    `axisNumber` - the axis where 0-x, 1-y, and 2-z.
  Returns:
    `true` or `false`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD